Name: gnome-alsamixer
Version: 0.9.5
Release: alt1

Summary: %name is an ALSA mixer for GNOME
License: GPL
Group: Sound
Url: http://www.paw.co.za/projects/%name

Source: ftp://ftp.paw.co.za/pub/PAW/sources/%name-%version.tar.bz2

%define gtk_ver 2.2.4
%define libgnomeui_ver 2.4.0
%define alsa_ver 0.9.6
%define gnome_common_ver 2.3.0

Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libalsa >= %alsa_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libalsa-devel >= %alsa_ver
BuildPreReq: gnome-common >= %gnome_common_ver

# Automatically added by buildreq on Mon Sep 08 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg libpango-devel libpopt-devel libssl libxml2-devel pkgconfig zlib-devel

%description
This package provides %name - a sound mixer for GNOME which supports
ALSA drivers.

%prep
%setup -q

%build
%configure
%make_build

%install
%__rm -f %name.desktop
%makeinstall

%__cat <<__DESKTOP__ >%name.desktop
[Desktop Entry]
Name=ALSA Volume Control
Exec=%name
Info=A sound mixer which supports ALSA drivers.
Icon=%_datadir/pixmaps/%name/%name-icon.png
Terminal=false
MultipleArgs=false
Type=Application
Categories=GNOME;Application;AudioVideo;
Encoding=UTF-8
__DESKTOP__

%__install -pD -m644 %name.desktop %buildroot%_datadir/applications/%name.desktop


# menus
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Multimedia/Sound" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/*
%doc AUTHORS ChangeLog

%changelog
* Mon Sep 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Fri Aug 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.4-alt1
- First build for Sisyphus.

